Notifly
API ReferenceTopics

Update a topic

Update a topic name by its unique key identifier **topicKey**

PATCH
/v2/topics/{topicKey}

Update a topic name by its unique key identifier topicKey

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

topicKey*string

The key identifier of the topic

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v2/topics/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Updated Topic Name"  }'
{  "data": {    "_id": "64da692e9a94fb2e6449ad06",    "key": "product-updates",    "name": "Product Updates",    "createdAt": "2023-08-15T00:00:00.000Z",    "updatedAt": "2023-08-15T00:00:00.000Z"  }}